menhir_20190626-6_amd64.deb


Advertisement

Description

menhir - Parser generator for OCaml

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename menhir_20190626-6_amd64.deb
Package name menhir
Package version 20190626
Package release 6
Package architecture amd64
Package type deb
Category devel devel::code-generator devel::lang:ocaml implemented-in::ocaml interface::commandline role::program scope::utility
Homepage http://gallium.inria.fr/~fpottier/menhir/
License -
Maintainer Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Download size 633.22 KB
Installed size 2.77 MB

Alternatives

Package Version Architecture Repository
menhir_20190626-6_i386.deb 20190626 i386 Debian Main
menhir - - -

Requires

Name Value
libc6 >= 2.28

Download

Type URL
Mirror ftp.br.debian.org
Binary Package menhir_20190626-6_amd64.deb
Source Package menhir

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install menhir deb package:
    # sudo apt-get install menhir

Files

Path
/usr/bin/menhir
/usr/share/doc/menhir/changelog.Debian.gz
/usr/share/doc/menhir/changelog.gz
/usr/share/doc/menhir/copyright
/usr/share/man/man1/menhir.1.gz
/usr/share/menhir/standard.mly

Changelog

2019-08-27 - St├ęphane Glondu <glondu@debian.org>
menhir (20190626-6) unstable; urgency=medium
* Team upload
* libmenhir-coq: add dependency to Coq ABI (Closes: #935873)
2019-08-21 - Ralf Treinen <treinen@debian.org>
menhir (20190626-5) unstable; urgency=medium
* Fix dependencies of the "library" test.
2019-08-21 - Ralf Treinen <treinen@debian.org>
menhir (20190626-4) unstable; urgency=medium
[ St├ęphane Glondu ]
* Remove Samuel from Uploaders
[ Ralf Treinen ]
* Package tests:
- add test for compilation with the menhir library
- use directly the files from upstreams demos/ directory
- make tests more verbose
2019-07-25 - Ralf Treinen <treinen@debian.org>
menhir (20190626-3) unstable; urgency=medium
* Standards-Version 4.4.0 (no change)
* Test coq: add dependency coq
* Drop version contraint on build-dependency dh-ocaml
2019-07-24 - Ralf Treinen <treinen@debian.org>
menhir (20190626-2) unstable; urgency=medium
* Upload to unstable.
2019-07-07 - Ralf Treinen <treinen@debian.org>
menhir (20190626-1) experimental; urgency=medium
* New upstream release
* Standards-Version 4.3.0 (no change)
* New binary package: libmenhir-coq
* New build-dependencies:
- debhelper-compat(=12); drop file debian/compat
- coq (needed for building libmenhir-coq)
* Package libmenhir-ocaml-dev: Suggests ocaml-findlib
* Override dh_dwz to use --no-dwz-multifile
* As-installed tests:
- Add test for libmenhir-coq (thanks a lot to Pierre Letouzey)
- Rename test "calc" to "standalone", tighten test dependencies
2018-11-14 - Ralf Treinen <treinen@debian.org>
menhir (20181113-1) unstable; urgency=medium
* new upstream version
* d/watch: point to inria gitlab
* d/menhir-doc.docs: also install png pictures of the manual
* d/rules: remove .gitignore files in examples
* Standards-Version 4.2.1 (no change)
2018-07-19 - Ralf Treinen <treinen@debian.org>
menhir (20180530-2) unstable; urgency=medium
* menhir-doc: Breaks/Replaces menhir (<< 20170712-1) since examples
had been moved from menhir to menhir-doc (closes: #903455)
* Standards-version 4.1.5 (no change).
2018-06-18 - Ralf Treinen <treinen@debian.org>
menhir (20180530-1) unstable; urgency=medium
* New upstream version.
* Install manual.html into menhir-doc package.
* Add entry for html manual in doc-base file
* Update Vcs-* fields to salsa.
* Standards-Version 4.1.4 (no change).
* Debhelper compat level 11.
- menhir-doc.doc-base: manual now installed in /usr/share/doc/menhr
2018-01-02 - Ralf Treinen <treinen@debian.org>
menhir (20171222-1) unstable; urgency=medium
* New upstream version.
* Standards-version 4.1.3 (no change)

See Also

Package Description
menu-l10n_0.20120730_all.deb localized menu entries for Debian menu
menu-xdg_0.6_all.deb freedesktop.org menu compliant window manager scripts
menu_2.1.47+b1_amd64.deb generates programs menu for all menu-aware applications
menulibre_2.2.1-1_all.deb advanced FreeDesktop.org compliant menu editor
mercurial-buildpackage_0.10.1+nmu1+b1_amd64.deb Suite to maintain Debian packages in Mercurial repository
mercurial-common_5.1.1-1_all.deb easy-to-use, scalable distributed version control system (common files)
mercurial-crecord_0.20151121-2_all.deb Mercurial crecord extension (transitional package)
mercurial-extension-utils_1.3.6-1_all.deb Contains functions for writing Mercurial extensions
mercurial-git_0.8.12-1.1_all.deb Git plugin for Mercurial
mercurial-keyring_1.2.0-1_all.deb Mercurial Keyring Extension
mercurial-server_1.2-2.2_all.deb shared Mercurial repository service
mercurial_5.1.1-1_amd64.deb easy-to-use, scalable distributed version control system
mergelog_4.5.1-9+b2_amd64.deb utility that merges httpd log files by date
mergerfs_2.28.1-1_amd64.deb another FUSE union filesystem
meritous-data_1.5-1_all.deb action-adventure dungeon crawl game (datafiles)
Advertisement
Advertisement